Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/32187/?format=api
{ "ob_id": 32187, "uuid": "b25cad50e3a0472098672264b12b20b1", "title": "APHH: Photolysis rate measurements made at the Indira Gandhi Delhi Technical University for Women (IGDTUW) site during the pre and post monsoon periods for the DelhiFlux field campaign 2018", "abstract": "This dataset contains photolysis rate measurements made during the Pre- Monsoon and Post-Monsoon periods of the APHH Delhi campaigns in 2018 at Indira Gandhi Delhi Technical University for Women (IGDTUW) site. Photolysis rates are derived from the product of the absorption cross-section of the precursor molecule, the quantum yield of the photo-product and the actinic flux density (cm-2s-1nm-1). The actinic flux is measured between 280 - 650 nm (<1 nm resolution) using a Ocean Optics spectral radiometer attached to a quartz receiver optic. Data is averaged to 1 minute time-stamp.\r\n\r\nThe data were collected as part of the DelhiFlux project part of Air Pollution & Human Health in a Developing Indian Megacity (APHH-India) programme.", "keywords": "APHH, Delhiflux,photolysis", "publicationState": "published", "dataPublishedTime": "2021-02-26T15:41:03", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/32188/?format=api", "dataPath": "/badc/aphh/data/delhi/delhiflux/york-specrad/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 17957248, "numberOfFiles": 3, "fileFormat": "Data are NASA Ames formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/8824/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2612/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were collected, quality controlled and prepared for archiving by the instrument scientists before upload to the Centre for Environmental Data Analysis (CEDA) for long term archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/24808/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/projects/30221/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30224/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/32625/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143120/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143117/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143118/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143119/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143114/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143113/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143115/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143116/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143127/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168352/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143121/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143122/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/32190/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }